<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('land', function (Blueprint $table) {
            $table->id();
            $table->string('land_name');
            $table->string('owner');
            $table->string('no_hp');
            $table->string('rental_price');
            $table->date('rental_start');
            $table->date('rental_until');
            $table->string('province_code');
            $table->string('regency_code');
            $table->string('district_code');
            $table->string('latitude');
            $table->string('longitude');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('land');
    }
};
